%define game_name secondlife
%define name %{game_name}-artwork
%define version 1.18.2.1
%define beta 0
%define snapshot 0
%if %{snapshot}
%define release %mkrel 0.%{snapshot}.1
%define oname slviewer-artwork
%define distname %{oname}-%{snapshot}
%else
%define release %mkrel 1
%if %{beta}
%define oname slviewer-artwork-beta
%else
%define oname slviewer-artwork
%endif
%define distname %{oname}-%{version}
%endif

Summary: Artwork for the Second Life 3-D virtual world
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://secondlife.com/developers/opensource/downloads/%{distname}.zip
License: GPL
Group: Games/Other
Url: http://secondlife.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Obsoletes: secondlife-static-data
Conflicts: secondlife < 1.15.0.2

%description
Second Life is a 3-D virtual world entirely built and owned by its residents.

This package contains artwork required by Second Life.

%prep
%setup -q -n linden

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_gamesdatadir}
cp -a indra/newview %{buildroot}%{_gamesdatadir}/%{game_name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_gamesdatadir}/%{game_name}/app_settings/*
%{_gamesdatadir}/%{game_name}/skins/textures/*
%{_gamesdatadir}/%{game_name}/character
%{_gamesdatadir}/%{game_name}/res
%{_gamesdatadir}/%{game_name}/res-sdl


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.18.2.1-1mdv2008.1
+ Revision: 140792
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 25 2007 Olivier Blin <oblin@mandriva.com> 1.18.2.1-1mdv2008.0
+ Revision: 92760
- 1.18.2.1

* Fri Sep 14 2007 Olivier Blin <oblin@mandriva.com> 1.18.2.0-1mdv2008.0
+ Revision: 85477
- 1.18.2.0

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 1.18.0.6-1mdv2008.0
+ Revision: 52470
- 1.18.0.6

* Fri Jun 29 2007 Olivier Blin <oblin@mandriva.com> 1.17.2.0-1mdv2008.0
+ Revision: 45658
- 1.17.2.0
- fix perms (fix-eol helper breaks them further)

* Wed Jun 27 2007 Olivier Blin <oblin@mandriva.com> 1.17.1.0-1mdv2008.0
+ Revision: 44946
- 1.17.1.0

* Fri Apr 27 2007 Olivier Blin <oblin@mandriva.com> 1.15.0.2-1mdv2008.0
+ Revision: 18507
- package artwork moved from secondlife package (and conflict with old secondlife package)
- 1.15.0.2
- fix beta support

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.15.0.0-1mdv2008.0
+ Revision: 17564
- 1.15.0.0
- handle beta releases in specfile


* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 1.14.0.0-1mdv2007.1
+ Revision: 149325
- 1.14.0.0

* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 1.13.4.7-1mdv2007.1
+ Revision: 141441
- SecondLife artwork 1.13.4.7
- rename secondlife-static-data as secondlife-artwork

* Mon Jan 29 2007 Olivier Blin <oblin@mandriva.com> 1.13-0.20070126a.1mdv2007.1
+ Revision: 114825
- 20070126a

* Tue Jan 09 2007 Olivier Blin <oblin@mandriva.com> 0.1-0.20070108c.1mdv2007.1
+ Revision: 106754
- initial secondlife static data release
- Create secondlife-static-data

